<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning|Host Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to add a host." /><title>Adding a Host Manually</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/adding-host.html">Open topic with navigation</a>
        </p>
        <h2>Adding a Host Manually</h2>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab. </li>
        </ol>
        <p>
            <img src="../Resources/Images/projects/project-analysis-tab.png" title="Analysis tab" alt="Analysis tab" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Hosts window appears, click the <b class="UISelection">New Host</b> button.</li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-new-host-button.png" title="New Host button" alt="New Host button" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">Under the Name &amp;&#160;Address area, 
enter a name for the host in the <b class="UISelection">Name</b> field and enter an IP address for the host  
in the<b class="UISelection"> IP address</b> field.</li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-add-host-hostname.png" title="Host name and address" alt="Host name and address" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">
If you have an Ethernet address for the host, enter it in the <b class="UISelection">Ethernet address </b>field. 
</li>
            <li value="5">Under the Operating System area, you can add the operating system information for the host.  For example, if you want to add the operating system for the host, you can enter an OS like <code class="usertype">Windows XP</code> in the <b class="UISelection">OS&#160;Name</b> field. This step is completely optional and is only recommended if you have the OS&#160;information for the host.</li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-add-host-os-info.png" title="Host OS information" alt="Host OS information" />
        </p>
        <ol data-mc-continue="true">
            <li value="6">Select the<b class="UISelection"> Lock edited host attributes</b> option if you do not want subsequent imports, discovery scans, or Nexpose scans to modify the host information. By default, this option is enabled. </li>
            <li value="7">If you want to add a service to the host, click the <b class="UISelection">Add Service</b> link. You will need to define the name, port, protocol, and state for the service. </li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-add-host-add-service.png" title="Add Service link" alt="Add Service link" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="8">When you are done, click the <b class="UISelection">Save </b>button. </li>
        </ol>
    </body>
</html>